package com.sunxd.zstudy.mysql;

import com.google.common.collect.Lists;

import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 *
 * show profile ; 或者 show profiles; 查看执行命令的执行信息
 * show databases; 查看数据库
 * show processlist;  ·· 查看正在链接的线程
 *
 * -mysql 优化：
 *  ·类型对应 int 比较特殊，底层使用8 16 32 定好了长度，只要不超出int的11位，即使设置1，也可以存长度超过1的数字。但是varchar（1），就是不能超过长度为1的数据
 *  ·数据的长度选择最小的
 *  ·用枚举代替字符串 ··实际的底层存储就是一个整型值
 *
 * -表设计：
 *  ·遵从三范式
 *  ·主建的选择： 代理主键(与业务无关)、自然主键(业务的唯一主键) ， 推荐代理主键
 *  ·字符集的： utf8·mb4
 *  ·存储引擎：
 *      performance_schema 监控使用
 *      innodb：
 *      myisam:
 *              myisam    innodb
 *      索引类型： 非聚簇索引   聚簇索引
 *      支持事物    否           是
 *      支持表锁    是           是
 *      支持表锁    否           是
 *      支持行锁    否           是
 *      支持外键    否           是
 *      支持全文索引  是         5.6以后支持
 *      适合操作类型 大量select   大量insert delete update
 *  ·适当的数据冗余
 *  ·适当的拆分
 *
 *-sql 优化：
 *  ·explain 字段的含义
 *      id:     The SELECT identifier ,相同时自上而下执行，不同时.值越大越先执行。
 *      select_type:  主要用来分辨查询的类型，是普通查询还是联合查询还是子查询. SIMPLE、PRIMARY、UNION、DEPENDENT UNION、UNION RESULT、SUBQUERY、DEPENDENT SUBQUERY、DERIVED
 *      table： 表名
 *      type：  (type的值依赖【查询的字段】及where条件来决定)type显示的是访问类型，访问类型表示我是以何种方式去访问我们的数据，最容易想的是全表扫描，直接暴力的遍历一张表去寻找需要的数据，效率非常低下，访问的类型有很多，
 *              效率从最好到最坏依次是：system > const > eq_ref > ref > fulltext > ref_or_null > index_merge > unique_subquery > index_subquery > range > index > ALL
 *      possible_keys：显示可能应用在这张表中的索引，一个或多个，查询涉及到的字段上若存在索引，则该索引将被列出，但不一定被查询实际使用
 *      key：    实际使用的索引，如果为null，则没有使用索引，查询中若使用了覆盖索引，则该索引和查询的select字段重叠
 *      key_len：表示索引中使用的字节数，可以通过key_len计算查询中使用的索引长度，在不损失精度的情况下长度越短越好。
 *      ref：    显示索引的哪一列被使用了，如果可能的话，是一个常数
 *      rows：   根据表的统计信息及索引使用情况，大致估算出找出所需记录需要读取的行数，此参数很重要，直接反应的sql找了多少数据，在完成目的的情况下越少越好
 *      extra:   包含额外的信息
 *              using filesort:说明mysql无法利用索引进行排序，只能利用排序算法进行排序，会消耗额外的位置
 *              using temporary:建立临时表来保存中间结果，查询完成之后把临时表删除
 *              using index:这个表示当前的查询时覆盖索引的，直接从索引中读取数据，而不用访问数据表。如果同时出现using where 表名索引被用来执行索引键值的查找
 *              using where:使用where进行条件过滤
 *              using join buffer:使用连接缓存，情况没有模拟出来
 *
 *  ·索引的分类
 *      主键索引、唯一索引、普通索引、全文索引、组合索引。 数据库
 *      在设置主键的时候，生成的索引是 唯一索引（因为主键是唯一且非空）
 *  ·面试名词
 *          select * from emp where name =1;
 *      回表  -> 针对普通索引，先拿key找到对应的主键值，然后根据主键值去拿整条行数据
 *      覆盖索引 -> select id from emp where name =1; 他需要的值就是主键值，所以叫覆盖索引
 *      最左匹配 -> 组合索引，从最左边的匹配 索引是(name,age) ,当select * from emp where name =1 and age = 1 走索引。当select * from emp where age =1 and name = 1 不走索引。
 *      索引下推 ->
 *  ·数据结构 为什么不使用  Hash、二叉树、平衡树、红黑树
 *
 *  ·innodb 和 myisam 区别 对像存储数据  对象指针·>key·>数据。
 *      innodb B+tree 上层数据有(对象指针·>key),叶子节点存数据(key·>数据)，叶子节点包含索引和整条数据行(或主键值)
 *          此时可以分为2种索引。
 *              上层数据有(对象指针·>key),叶子节点存数据(key·>数据)，叶子节点包含主键值和整条数据行
 *              上层数据有(对象指针·>key),叶子节点存数据(key·>数据)，叶子节点包含索引和主键值
 *      myisam B+tree 上层数据有(对象指针·>key),叶子节点存储数据行的地址(key·>data address)，数据在单独的文件里存储
 *  ·排序优化算法： 默认超过1024(条)使用2次排序，否则使用1次排序
 *      2次传输排序：先拿到需要排序的列及关键列做完排序，然后根据关键列去原始数据依次拿数据，所以产生2次io
 *      1次传输排序：拿到所有列，根据需要排序的列做排序
 *      使用 show variables like '%max_length_for_sort_data%'
 *  ·优化count()查询，
 *      在mysql中，实测count(1),count(*),count(主键)他们的花费时间及explain执行计划都是一样。注意count()是排除null的，不算条数
 *      使用count如果不精确条数的话，可使用近似值。explain 或者 hyperloglogde近似值算法
 *-分区表
 *      create table ....
 *  范围分区 partiton by range(field)
 *  等值分区 partiton by list(field) in(1,2,3)
 *  列分区 range 和 list 整合
 *  hash分区 partiton by hash(field)
 *  key分区 hash分区的变种
 *  子分区
 *  todo 查看官网
 *
 *-事物
 *  innodb存储引擎，两阶段提交保证事物，类似zk
 * redo log  每次执行sql,先存储到redo log buffer(用户空间)，然后存储到os buffer(内核空间)，调用fsync()写到磁盘
 * undo log  回滚日志，如果说执行了插入的操作，则在undo log 中记录一条delete 的语句，当用户执行了rollback的操作，则执行undo log里面的语句进行恢复。这个地方就有加锁的重要性了
 *  system 自带
 * bin log 服务端的日志、记录用户执行的sql、可执行对指定表、忽略某些表的力度
 *
 *-锁机制
 * ·myisam 表锁: 表共享读锁，表独占锁。我们不要显示的执行命令，myisam已经自动给我们加过了
 *      写锁：lock table 表名 write；读锁：lock table 表名 read；只能查当前表，其他的表也不能读
 * ·innodb 行锁(where条件必须有索引，否则进行表锁)、表锁  。 共享锁、排他锁
 *      共享锁：读锁 select * from .... lock in share mode。
 *      排他锁：写锁 select for update
 *
 *  show status like 'last_query_cost' 查询上一次执行的成本
 * @author: sun.xd
 * @date: 2021·10·27 10:28
 **/
public class Mysql {


    public static void main(String[] args) {
        List<Long> list1 = Lists.newArrayList();
        list1.add(1L);
        list1.add(2L);
        list1.add(3L);
        List<Long> list2 = Lists.newArrayList();
        list2.add(3L);
        list2.add(2L);
        list2.add(1L);
        System.out.println(list1.equals(list2));
    }
//        String s = "\"1000514042\",\"1000555574\",\"1000490253\",\"1000490127\",\"1000483748\",\"1000487250\",\"1000587976\",\"1000487547\",\"1000485636\",\"1000509162\",\"1000563173\",\"1000464912\",\"1000475080\",\"1000473896\",\"1000502689\",\"1000490065\",\"1000465384\",\"1000564975\",\"1000479706\",\"10435432\",\"1000488497\",\"1000596771\",\"1000471475\",\"1000473645\",\"1000477655\",\"1000473242\",\"1000477367\",\"1000492375\",\"1000487521\",\"1000599967\",\"1000568088\",\"1000471844\",\"1000570381\",\"1000487451\",\"1000490081\",\"1000497369\",\"1000475440\",\"1000446113\",\"1000511001\",\"1000483725\",\"1000463198\",\"1000512029\",\"1000608667\",\"1000479408\",\"1000487230\",\"1000483901\",\"1000469332\",\"1000488142\",\"1000488233\",\"1000467373\",\"1000475025\",\"100012849\",\"1000471387\",\"1000615262\",\"1000492100\",\"1000469425\",\"1000485687\",\"1000672589\",\"100004908\",\"1000483669\",\"1000473436\",\"1000469698\",\"1000450149\",\"1000477057\",\"1000473463\",\"1000467387\",\"1000487235\",\"1000465312\",\"1000470726\",\"1000494044\",\"1000494027\",\"1000473422\",\"1000502991\",\"1000479912\",\"1000585771\",\"1000479748\",\"1000467403\",\"1000467212\",\"1000467450\",\"1000492352\",\"1000471526\",\"1000469624\",\"1000473194\",\"1000492333\",\"1000473196\",\"1000479563\",\"1000469069\",\"1000442337\",\"1000477254\",\"1000467411\",\"1000490473\",\"1000497358\",\"1000602508\",\"10266926\",\"1000465094\",\"1000467420\",\"1000486945\",\"1000471110\",\"1000475368\",\"1000487979\",\"1000483908\",\"1000485906\",\"1000540223\",\"1000473365\",\"1000475389\",\"1000473386\",\"1000479628\",\"1000471105\",\"1000467196\",\"1000465031\",\"1000475450\",\"1000465539\",\"1000475092\",\"1000510329\",\"1000488610\",\"1000492071\",\"1000532869\",\"1000466830\",\"1000487609\",\"1000477186\",\"1000473546\",\"1000463142\",\"1000463019\",\"1000468963\",\"1000471341\",\"1000477326\",\"1000488377\",\"1000469066\",\"1000487628\",\"1000463193\",\"1000498399\",\"1000502083\",\"1000501476\",\"1000486427\",\"1000487395\",\"1000475075\",\"1000440114\",\"1000471512\",\"1000485856\",\"1000493163\",\"1000487306\",\"1000469519\",\"1000473910\",\"1000485737\",\"1000477158\",\"1000465255\",\"1000547041\",\"1000473433\",\"1000467262\",\"1000473075\",\"1000501165\",\"1000483730\",\"1000477350\",\"1000477098\",\"1000634967\",\"1000496850\",\"1000475518\",\"1000512760\",\"1000475471\",\"1000469383\",\"1000492213\",\"1000475567\",\"1000471275\",\"1000479775\",\"100002856\",\"1000486984\",\"1000487636\",\"1000471287\",\"100004121\",\"1000475361\",\"1000607982\",\"1000555861\",\"1000310055\",\"1000463222\",\"1000485308\",\"1000494111\",\"1000492378\",\"1000462939\",\"1000645862\",\"1000490380\",\"1000643185\",\"1000479372\",\"1000468940\",\"1000562893\",\"1000485851\",\"1000490235\",\"1000656868\",\"1000502580\",\"1000471483\",\"1000463313\",\"100002701\",\"100012925\",\"1000465214\",\"1000482349\",\"1000477462\",\"1000466804\",\"1000557915\",\"1000490119\",\"1000479753\",\"1000562417\",\"1000466628\",\"1000660108\",\"1000485356\",\"1000490352\",\"1000467303\",\"1000485598\",\"1000488128\",\"1000469034\",\"1000483831\",\"10481065\",\"1000485836\",\"1000467320\",\"1000487429\",\"1000490070\",\"1000465445\",\"1000448245\",\"1000473388\",\"1000487394\",\"1000479712\",\"1000514165\",\"1000472243\",\"1000450844\",\"1000462905\",\"1000491009\",\"1000469060\",\"1000609645\",\"1000467454\",\"1000527869\",\"1000487436\",\"1000487359\",\"1000463280\",\"1000473094\",\"1000465189\",\"1000521353\",\"1000467882\",\"1000490032\",\"1000467348\",\"1000647298\",\"1000554750\",\"1000438410\",\"1000473317\",\"1000467500\",\"1000487239\",\"1000473532\",\"1000646181\",\"1000471550\",\"1000473293\",\"1000475210\",\"1000473071\",\"1000487460\",\"1000473475\",\"1000477136\",\"1000603870\",\"1000465047\",\"1000438323\",\"1000469221\",\"1000487236\",\"1000463192\",\"1000465395\",\"1000442374\",\"1000442396\",\"1000477226\",\"1000469473\",\"1000471366\",\"1000473201\",\"1000477075\",\"100002143\",\"1000487376\",\"1000490206\",\"1000488455\",\"1000469050\",\"1000473326\",\"1000487778\",\"1000483376\",\"1000442296\",\"1000456143\",\"1000468958\",\"1000514944\",\"1000475031\",\"1000479651\",\"1000480268\",\"1000674042\",\"1000479755\",\"1000471362\",\"1000468670\",\"1000468701\",\"1000467216\",\"1000477015\",\"100003982\",\"1000463237\",\"1000463211\",\"1000490181\",\"1000490000\",\"1000485930\",\"1000666707\",\"1000504133\",\"1000480390\",\"1000479629\",\"1000560821\",\"1000466862\",\"1000492299\",\"1000465490\",\"1000611567\",\"1000463084\",\"1000529047\",\"1000475266\",\"1000486003\",\"1000471458\",\"1000529052\",\"1000497872\",\"1000491012\",\"1000483731\",\"1000475352\",\"1000483008\",\"1000471611\",\"1000475504\",\"100001591\",\"1000514124\",\"1000473531\",\"1000626026\",\"1000465822\",\"1000465196\",\"1000471131\",\"10227294\",\"1000488425\",\"1000611485\",\"100002606\",\"1000487706\",\"1000500286\",\"1000473442\",\"1000483578\",\"1000546941\",\"10166319\",\"1000467505\",\"1000484228\",\"1000494991\",\"1000465293\",\"100013834\",\"100001456\",\"1000487539\",\"1000471558\",\"1000473522\",\"100002723\",\"100003847\",\"1000465461\",\"100002246\",\"1000554784\",\"1000492025\",\"1000467661\",\"100002613\",\"100004777\",\"100003555\",\"1000440238\",\"1000310307\",\"100002567\",\"1000465197\",\"1000473137\",\"1000475059\",\"1000475166\",\"100002507\",\"1000483809\",\"1000463126\",\"1000467866\",\"1000492430\",\"100003652\",\"1000486820\",\"1000467289\",\"100002574\",\"1000464950\",\"100014108\",\"1000500191\",\"1000549912\",\"1000473162\",\"100003704\",\"10861143\",\"100002699\",\"100004762\",\"1000458148\",\"100003720\",\"100004022\",\"1000477635\",\"100002990\",\"100002852\",\"100002833\",\"1000469819\",\"100005334\",\"1000483921\",\"1000487537\",\"1000471497\",\"100003240\",\"100002806\",\"100003420\",\"100003475\",\"100002685\",\"100002620\",\"100002863\",\"100003826\",\"1000477352\",\"100002689\",\"1000520159\",\"1000477272\",\"1000463253\",\"100002501\",\"1000438284\",\"100003131\",\"1000477183\",\"1000608833\",\"100004727\",\"100004840\",\"1000469244\",\"100003887\",\"100002727\",\"100001365\",\"100003594\",\"1000500170\",\"1000664762\",\"1000487360\",\"10203182\",\"1000490088\",\"1000485992\",\"100002742\",\"1000459750\",\"100002500\",\"1000475371\",\"1000471259\",\"100003733\",\"100001600\",\"100002867\",\"100002625\",\"1000475251\",\"100003755\",\"1000477173\",\"1000487247\",\"100002865\",\"1000504405\",\"100002874\",\"100004834\",\"1000469122\",\"100002582\",\"100002579\",\"100003778\",\"1000488731\",\"1000479474\",\"100003689\",\"100003480\",\"1000492084\",\"1000475292\",\"1000471181\",\"1000483977\",\"1000485316\",\"100002873\",\"100014087\",\"1000318000\",\"1000448086\",\"1000503620\",\"100003408\",\"1000568245\",\"100003544\",\"100003375\",\"100003115\",\"1000436143\",\"1000492078\",\"100003797\",\"1000473846\",\"1000462567\",\"1000465571\",\"100002877\",\"100005954\",\"1000475110\",\"1000477099\",\"100003272\",\"100002593\",\"100004027\",\"1000533329\",\"100004036\",\"1000471357\",\"1000483642\",\"100004796\",\"100003825\",\"100003736\",\"1000465296\",\"100002603\",\"1000316884\",\"1000485701\",\"100002297\",\"1000538207\",\"1000436045\",\"1000314331\",\"1000462908\",\"1000463699\",\"1000540224\",\"100005581\",\"1000631542\",\"1000479346\",\"1000469445\",\"100001444\",\"1000492141\",\"100002569\",\"1000475329\",\"1000485949\",\"100004198\",\"100004138\",\"1000463200\",\"1000487498\",\"100003440\",\"100003425\",\"1000487978\",\"1000487322\",\"1000527334\",\"100005618\",\"1000613910\",\"10195891\",\"100003631\",\"100002521\",\"100003341\",\"1000487186\",\"100003330\",\"1000463053\",\"10075324\",\"1000487697\",\"1000516443\",\"1000479773\",\"1000487639\",\"100003811\",\"1000487200\",\"100002758\",\"1000467733\",\"1000488080\",\"100003651\",\"100003248\",\"100002480\",\"100003046\",\"100013137\",\"100006075\",\"1000463667\",\"1000473408\",\"100003031\",\"1000566589\",\"100003129\",\"1000475176\",\"100003881\",\"1000471324\",\"100001024\",\"1000477353\",\"1000487593\",\"100003238\",\"100002746\",\"1000492524\",\"1000318293\",\"1000488768\",\"100002532\",\"100002779\",\"100014126\",\"100002762\",\"100002747\",\"1000438300\",\"100002857\",\"1000661212\",\"1000600991\",\"100002740\",\"100001095\",\"100002562\",\"100002499\",\"100003710\",\"100003174\",\"1000467430\",\"1000471484\",\"100000675\",\"1000486035\",\"1000473155\",\"1000549148\",\"1000483344\",\"1000444255\",\"1000475108\",\"100000896\",\"1000487447\",\"1000471149\",\"1000477029\",\"1000466687\",\"1000310057\",\"100003509\",\"100002977\",\"1000469487\",\"100002592\",\"1000488287\",\"1000473300\",\"1000479617\",\"1000467304\",\"1000464598\",\"1000492370\",\"100006021\",\"1000492914\",\"1000438336\",\"100002783\",\"1000483321\",\"1000442284\",\"1000471336\",\"100003996\",\"100013544\",\"10183707\",\"1000471269\",\"1000504866\",\"1000487027\",\"1000473420\",\"1000566268\",\"1000465030\",\"10164646\",\"1000475579\",\"100002469\",\"1000475314\",\"100002814\",\"100002901\",\"1000485520\",\"100003488\",\"1000605432\",\"1000072008\",\"1000488982\",\"1000465263\",\"100003328\",\"1000448339\",\"100003932\",\"10128020\",\"1000475480\",\"1000483184\",\"1000475430\",\"100003053\",\"1000465506\",\"1000449951\",\"100003706\",\"100002432\",\"1000469510\",\"1000490026\",\"100014056\",\"1000440310\",\"1000470907\",\"1000467142\",\"1000475084\",\"100003118\",\"1000663320\",\"1000485670\",\"1000524340\",\"100001717\",\"1000610793\",\"1000483992\",\"1000638104\",\"1000487309\",\"1000475305\",\"1000473375\",\"1000471359\",\"100002179\",\"1000477005\",\"1000475290\",\"100003776\",\"100002546\",\"1000536229\",\"1000466646\",\"1000635776\",\"100002753\",\"1000467459\",\"1000473454\",\"1000479935\",\"10889722\",\"1000463373\",\"1000487237\",\"1000472262\",\"1000475091\",\"1000475205\",\"1000475413\",\"100003300\",\"100001364\",\"1000467136\",\"1000477330\",\"100004871\",\"1000514681\",\"1000477372\",\"1000627755\",\"1000483848\",\"1000477864\",\"1000490520\",\"1000462928\",\"1000469264\",\"1000465611\",\"1000529220\",\"1000473484\",\"1000462568\",\"1000456545\",\"1000471386\",\"1000473481\",\"1000550730\",\"1000605933\",\"1000477064\",\"1000485933\",\"1000438295\",\"1000630947\",\"1000500198\",\"100003334\",\"1000499298\",\"100003955\",\"1000475061\",\"1000467148\",\"1000473097\",\"100001852\",\"1000463144\",\"1000479645\",\"1000465349\",\"1000487868\",\"10363094\",\"100002091\",\"1000573143\",\"1000464333\",\"100003999\",\"100002421\",\"1000488162\",\"1000477341\",\"1000475060\",\"1000479720\",\"1000657471\",\"100003472\",\"100002832\",\"100003895\",\"100003176\",\"1000473545\",\"1000451809\",\"1000493122\",\"100003491\",\"1000463018\",\"1000485582\",\"1000475538\",\"100002975\",\"1000586599\",\"1000477416\",\"1000472049\",\"1000479481\",\"1000483973\",\"1000483323\",\"100002273\",\"1000492106\",\"1000471139\",\"1000609235\",\"100003069\",\"100002621\",\"1000488576\",\"1000483580\",\"1000471142\",\"1000477171\",\"1000471520\",\"100003458\",\"100006081\",\"1000487535\",\"1000642038\",\"100002442\",\"10171008\",\"1000473351\",\"1000473085\",\"1000546342\",\"1000492041\",\"1000475592\",\"1000477519\",\"1000629570\",\"1000574003\",\"1000485895\",\"1000553881\",\"1000488392\",\"100003624\",\"1000638089\",\"1000465238\",\"1000490126\",\"1000510568\",\"1000477177\",\"100002596\",\"1000467248\",\"1000471172\",\"1000631192\",\"1000479604\",\"1000442277\",\"1000568501\",\"1000473983\",\"1000483693\",\"1000485718\",\"1000471421\",\"1000589523\",\"1000483569\",\"1000475472\",\"100003501\",\"1000576018\",\"1000475190\",\"100010467\",\"1000469064\",\"1000565578\",\"1000479763\",\"100002820\",\"100001243\",\"1000483995\",\"1000469209\",\"1000467363\",\"1000473366\",\"1000463238\",\"1000479756\",\"10341607\",\"100003470\",\"1000490502\",\"1000502906\",\"1000485123\",\"1000276001\",\"1000527230\",\"100003445\",\"100004637\",\"100003538\",\"100000782\",\"100012985\",\"1000457094\",\"100001055\",\"1000485536\",\"1000469370\",\"1000479406\",\"1000475427\",\"1000464559\",\"100002584\",\"1000548714\",\"1000471128\",\"1000628951\",\"100003066\",\"1000471429\",\"1000665603\",\"1000463445\",\"1000483607\",\"1000661685\",\"1000613189\",\"1000480447\",\"1000467731\",\"100003043\",\"1000477347\",\"1000631018\",\"1000483506\",\"1000473465\",\"1000469591\",\"1000571225\",\"100003484\",\"1000632567\",\"1000467227\",\"1000490416\",\"1000463216\",\"1000479643\",\"100003861\",\"1000440371\",\"1000467528\",\"1000450013\",\"100013087\",\"1000465991\",\"1000467174\",\"1000471114\",\"1000477481\",\"1000471235\",\"100005967\",\"1000488079\",\"100002061\",\"1000477374\",\"1000598719\",\"1000516750\",\"1000552372\",\"10484122\",\"1000477115\",\"1000572534\",\"1000488608\",\"1000476748\",\"100002748\",\"1000611063\",\"1000487611\",\"1000477102\",\"1000475194\",\"1000475152\",\"100003759\",\"1000554197\",\"100003681\",\"100002876\",\"1000467021\",\"1000651731\",\"1000483742\",\"1000467336\",\"1000465059\",\"1000489705\",\"1000493097\",\"1000495780\",\"1000639536\",\"1000656655\",\"1000473306\",\"1000475272\",\"1000463551\",\"1000628716\",\"1000483733\",\"1000661636\",\"1000645159\",\"1000527852\",\"1000473063\",\"1000471125\",\"1000554037\",\"1000473093\",\"1000609746\",\"100003581\",\"1000475043\",\"1000485990\",\"1000531699\",\"1000469114\",\"1000467774\",\"1000607200\",\"1000477505\",\"1000636476\",\"1000477144\",\"1000549617\",\"10185340\",\"100002290\",\"1000465180\",\"100002435\",\"1000475041\",\"1000577945\",\"1000653968\",\"1000483916\",\"1000444006\",\"1000471216\",\"100001220\",\"1000465314\",\"100001799\",\"100004018\",\"1000463575\",\"1000483783\",\"100005073\",\"100002686\",\"1000473508\",\"1000475229\",\"1000473863\",\"1000489162\",\"100002819\",\"1000469224\",\"1000467298\",\"1000471525\",\"1000477369\",\"1000477516\",\"100001757\",\"1000467295\",\"100005980\",\"100001402\",\"1000467013\",\"1000493030\",\"1000665227\",\"100002619\",\"100003649\",\"1000475172\",\"1000482350\",\"1000473447\",\"100003714\",\"1000467455\",\"1000471288\",\"1000450092\",\"100013977\",\"1000487523\",\"1000465299\",\"1000570628\",\"1000465315\",\"1000440294\",\"1000458816\",\"1000477197\",\"10861162\",\"1000647728\",\"1000492912\",\"1000535387\",\"100003222\",\"1000477454\",\"1000471146\",\"1000492449\",\"100003511\",\"1000450857\",\"1000485709\",\"1000450088\",\"1000494416\",\"1000483892\",\"1000471106\",\"1000451291\",\"100003758\",\"100001284\",\"1000470226\",\"1000475936\",\"100004140\",\"1000473304\",\"1000487286\",\"100002974\",\"1000469458\",\"1000473477\",\"1000473416\",\"1000483993\",\"100002268\",\"1000485281\",\"100003711\",\"1000463009\",\"1000465210\",\"1000436315\",\"1000475134\",\"1000471262\",\"100003116\",\"1000471243\",\"1000477836\",\"1000469070\",\"1000484028\",\"1000494270\",\"1000465039\",\"100002606\",\"100013544\",\"10183707\",\"1000471269\",\"1000487027\",\"1000322088\",\"1000469086\",\"1000485628\",\"100003883\",\"100003908\",\"100001868\",\"1000465503\",\"1000485939\",\"100013068\",\"100003467\",\"100002293\",\"1000436374\",\"100003525\",\"100002334\",\"1000436373\",\"100003625\",\"1000499351\",\"1000579097\",\"1000487381\",\"100002452\",\"1000468647\",\"1000487339\",\"1000479751\",\"1000499338\",\"1000492038\",\"100002240\",\"100001487\",\"100003068\",\"1000511142\",\"1000449425\",\"1000471226\",\"1000504750\",\"1000463596\",\"1000440318\",\"10716793\",\"100002654\",\"1000488732\",\"1000471219\",\"1000492012\",\"100002778\",\"1000310113\",\"1000479351\",\"100001985\",\"100002611\",\"100003885\",\"1000487211\",\"10481726\",\"100003450\",\"100002690\",\"100005885\",\"100002774\",\"100002784\",\"100002065\",\"100004237\",\"1000518280\",\"1000462701\",\"1000477043\",\"1000473225\",\"1000487590\",\"100002801\",\"100002884\",\"100002427\",\"1000477448\",\"1000464623\",\"1000479766\",\"100003920\",\"100002914\",\"100003934\",\"1000308127\",\"100003731\",\"100004929\",\"1000485479\",\"100003943\",\"100001501\",\"100000787\",\"100001893\",\"1000471183\",\"100003617\",\"1000436318\",\"1000473476\",\"1000467335\",\"1000477309\",\"1000475344\",\"1000488008\",\"100003599\",\"100004220\",\"1000469340\",\"1000467416\",\"100003642\",\"100003621\",\"1000469241\",\"100003726\",\"100002971\",\"1000473287\",\"1000473121\",\"100001250\",\"1000475118\",\"1000473133\",\"1000469339\",\"100004001\",\"1000471455\",\"1000477168\",\"1000477248\",\"1000447652\",\"100001482\",\"1000492446\",\"100002773\",\"100002687\",\"100002001\",\"1000463259\",\"100003524\",\"100002733\",\"1000510748\",\"1000475432\",\"1000494450\",\"1000485579\",\"100001685\",\"100002292\",\"100003286\",\"100001821\",\"100000831\",\"1000535836\",\"100003464\",\"100012919\",\"100002170\",\"100003802\",\"100002283\",\"1000464924\",\"1000560203\",\"1000475545\",\"100003428\",\"1000477020\",\"1000473584\",\"1000467429\",\"100003775\",\"100005070\",\"1000322076\",\"100003258\",\"1000471251\",\"100002478\",\"1000477069\",\"1000473312\",\"1000467146\",\"100002233\",\"100002750\",\"100003782\",\"100002259\",\"1000473062\",\"1000473883\",\"100003669\",\"100002788\",\"1000469288\",\"100002183\",\"1000469625\",\"1000632025\",\"1000475123\",\"1000471390\",\"1000471628\",\"1000602555\",\"100001037\",\"1000436096\",\"100003414\",\"100003692\",\"100006024\",\"1000471491\",\"1000508331\",\"1000467431\",\"100003229\",\"1000485546\",\"1000485650\",\"100002565\",\"100004727\",\"100004840\",\"1000469244\",\"100003887\",\"100002727\",\"100001365\",\"100003594\",\"1000500170\",\"1000664762\",\"1000487360\",\"10203182\",\"1000490088\",\"1000485992\",\"100002742\",\"1000459750\",\"100002500\",\"1000475371\",\"1000471259\",\"100003733\",\"100001600\",\"100002867\",\"100002625\",\"1000475251\",\"100003755\",\"1000477173\",\"1000487247\",\"100002865\",\"1000504405\",\"100002874\",\"100004834\",\"1000469122\",\"100002582\",\"100002579\",\"100003778\",\"1000488731\",\"1000479474\",\"100003689\",\"100003480\",\"1000492084\",\"1000475292\",\"1000471181\",\"1000483977\",\"1000485316\",\"100002873\",\"100014087\",\"1000318000\",\"1000479346\",\"1000469445\",\"100001444\",\"1000492141\",\"100002569\",\"1000475329\",\"1000485949\",\"100004198\",\"100004138\",\"1000463200\",\"1000487498\",\"100003440\",\"100003425\",\"1000487978\",\"1000487322\",\"1000527334\",\"100005618\",\"1000613910\",\"10195891\",\"100003631\",\"100002521\",\"100003341\",\"1000487186\",\"100003330\",\"1000463053\",\"10075324\",\"1000487697\",\"1000516443\",\"1000479773\",\"1000487639\",\"100003811\",\"1000487200\",\"100002758\",\"1000467733\",\"1000488080\",\"100001095\",\"100002562\",\"100002499\",\"100003710\",\"100003174\",\"1000467430\",\"1000471484\",\"100000675\",\"1000486035\",\"1000473155\",\"1000549148\",\"1000483344\",\"1000444255\",\"1000475108\",\"100000896\",\"1000487447\",\"1000471149\",\"1000477029\",\"1000466687\",\"1000310057\",\"1000640042\",\"1000479789\",\"1000473114\",\"100005026\",\"1000442312\",\"100002236\",\"1000485870\",\"100003406\",\"1000473701\",\"1000474179\",\"100002736\",\"100003787\",\"100004054\",\"100001346\",\"100003509\",\"100002977\",\"1000469487\",\"100002592\",\"1000473300\",\"1000483717\",\"1000482556\",\"1000467241\",\"1000465419\",\"1000487349\",\"1000438392\",\"1000473105\",\"1000483321\",\"1000473441\",\"1000487511\",\"1000475936\",\"1000465200\",\"100004140\",\"1000473304\",\"1000487286\",\"1000463195\",\"1000487712\",\"1000475943\",\"1000492187\",\"1000473505\",\"100005865\",\"1000566268\",\"1000477302\",\"1000465058\",\"1000555077\",\"1000440303\",\"1000475438\",\"1000475225\",\"1000463170\",\"1000473265\",\"1000463177\",\"1000477013\",\"1000488343\",\"1000463150\",\"1000465286\",\"1000490332\",\"1000473608\",\"1000487721\",\"1000471197\",\"1000479685\",\"1000463038\",\"10277875\",\"1000487185\",\"1000473460\",\"1000479779\",\"1000438367\",\"1000463164\",\"1000477437\",\"1000563714\",\"1000477006\",\"1000487328\",\"1000471903\",\"1000485745\",\"1000501151\",\"1000444646\",\"1000465158\",\"1000475944\",\"1000475492\",\"1000471683\",\"1000475508\",\"1000476201\",\"1000479948\",\"1000487714\",\"1000475899\",\"1000483903\",\"1000583634\",\"1000589521\",\"1000477584\",\"1000473401\",\"1000465141\",\"1000496393\",\"1000487592\",\"1000488456\",\"1000471095\",\"1000490009\",\"1000475870\",\"1000477114\",\"1000471416\",\"1000488013\",\"1000591423\",\"1000471419\",\"1000483337\",\"1000488475\",\"1000508419\",\"1000469289\",\"1000492373\",\"1000465389\",\"1000488184\",\"1000475116\",\"1000606102\",\"1000467172\",\"1000467103\",\"1000492176\",\"1000471296\",\"1000477553\",\"1000469039\",\"1000477038\",\"1000487663\",\"1000469145\",\"1000486840\",\"1000477077\",\"1000471099\",\"1000473378\",\"1000485849\",\"1000483709\",\"1000483672\",\"1000462694\",\"1000475534\",\"1000519683\",\"1000479693\",\"1000467355\",\"1000455699\",\"1000465040\",\"1000465156\",\"1000487480\",\"1000465104\",\"1000527802\",\"1000485729\",\"1000593490\",\"1000490129\",\"1000475839\",\"1000483761\",\"1000577424\",\"1000483922\",\"1000469398\",\"1000494000\",\"1000487516\",\"1000477024\",\"1000475262\",\"1000479647\",\"1000531041\",\"1000485890\",\"1000487507\",\"1000479981\",\"1000487224\",\"1000494577\",\"10082459\",\"1000477315\",\"1000487506\",\"1000471380\",\"1000477270\",\"1000490320\",\"1000483669\",\"1000473436\",\"1000469698\",\"1000450149\",\"1000477057\",\"1000473463\",\"1000467387\",\"1000487235\",\"1000465312\",\"1000470726\",\"1000494044\",\"1000494027\",\"1000473422\",\"1000502991\",\"1000479912\",\"1000585771\",\"1000479748\",\"1000467403\",\"1000467212\",\"1000467450\",\"1000492352\",\"1000471526\",\"1000469624\",\"1000473194\",\"1000492333\",\"1000473196\",\"1000479563\",\"1000469069\",\"1000442337\",\"1000477254\",\"1000467411\",\"1000490473\",\"1000497358\",\"1000602508\",\"10266926\",\"1000465094\",\"1000467420\",\"1000486945\",\"1000471110\",\"1000475368\",\"1000487979\",\"1000483908\",\"1000485906\",\"1000540223\",\"1000473365\",\"1000475389\",\"1000473386\",\"1000479628\",\"1000471105\",\"1000467196\",\"1000465031\",\"1000475450\",\"1000465539\",\"1000475092\",\"1000510329\",\"1000469518\",\"1000479655\",\"1000463278\",\"1000485655\",\"1000483618\",\"1000476588\",\"1000479582\",\"1000490504\",\"1000475443\",\"1000485878\",\"1000490609\",\"1000494067\",\"1000492044\",\"1000483701\",\"100002535\",\"1000488136\",\"1000489102\",\"1000487312\",\"1000500844\",\"1000490443\",\"1000488026\",\"1000465236\",\"1000469343\",\"1000487375\",\"1000490310\",\"1000475137\",\"1000479752\",\"1000485740\",\"1000614594\",\"1000465089\",\"1000477032\",\"1000473355\",\"1000659888\",\"1000485769\",\"1000485735\",\"1000485887\",\"1000462978\",\"1000479798\",\"1000540252\",\"1000446484\",\"100010417\",\"1000463161\",\"1000469178\",\"1000467519\",\"1000467451\",\"1000475253\",\"1000485845\",\"100002856\",\"1000486984\",\"1000487636\",\"1000471287\",\"100004121\",\"1000475361\",\"1000607982\",\"1000555861\",\"1000310055\",\"1000463222\",\"1000485308\",\"1000494111\",\"1000492378\",\"1000462939\",\"1000645862\",\"1000490380\",\"1000643185\",\"1000479372\",\"1000468940\",\"1000562893\",\"1000485851\",\"1000490235\",\"1000656868\",\"1000502580\",\"1000471483\",\"1000463313\",\"100002701\",\"100012925\",\"1000465214\",\"1000482349\",\"1000477462\",\"1000466804\",\"1000557915\",\"1000490119\",\"1000479753\",\"1000562417\",\"1000466628\",\"1000660108\",\"1000485356\",\"1000490352\",\"1000467303\",\"1000485598\",\"1000488128\",\"1000469034\",\"1000483831\",\"10481065\",\"1000485836\",\"1000467320\",\"1000487429\",\"1000490070\",\"1000465445\",\"1000448245\",\"1000473388\",\"1000487394\",\"1000479712\",\"1000514165\",\"1000472243\",\"1000450844\",\"1000462905\",\"1000491009\",\"1000469060\",\"1000609645\",\"1000467454\",\"1000527869\",\"1000487436\",\"1000487359\",\"1000463280\",\"1000473094\",\"1000465189\",\"1000521353\",\"1000467882\",\"1000490032\",\"1000467348\",\"1000647298\",\"1000554750\",\"1000438410\",\"1000473317\",\"1000467500\",\"1000487239\",\"1000473532\",\"1000646181\",\"1000471550\",\"1000473293\",\"1000475210\",\"1000473071\",\"1000487460\",\"1000473475\",\"1000477136\",\"1000603870\",\"1000465047\",\"1000438323\",\"1000469221\",\"1000487236\",\"1000463192\",\"1000465395\",\"1000442374\",\"1000442396\",\"1000477226\",\"1000469473\",\"1000471366\",\"1000473201\",\"1000477075\",\"100002143\",\"1000465474\",\"1000485677\",\"1000485561\",\"1000485715\",\"1000463289\",\"1000467125\",\"1000492102\",\"1000471221\",\"1000465443\",\"1000465041\",\"1000469146\",\"1000487693\",\"1000548245\",\"10795441\",\"1000534861\",\"1000479618\",\"1000488526\",\"1000579076\",\"1000649222\",\"1000485593\",\"100004626\",\"1000490138\",\"1000488286\",\"1000475261\",\"1000482336\",\"1000490387\",\"1000456944\",\"1000487392\",\"1000505894\",\"1000512012\",\"1000586742\",\"1000485901\",\"1000477274\",\"1000494046\",\"1000469324\",\"1000483847\",\"1000483628\",\"1000483676\",\"1000485829\",\"1000487391\",\"1000464865\",\"1000463020\",\"1000483759\",\"1000488085\",\"1000479991\",\"1000471335\",\"1000494041\",\"1000465160\",\"1000488242\",\"1000464720\",\"1000473466\",\"100003671\",\"1000490079\",\"1000508322\",\"1000467229\",\"100002783\",\"1000442284\",\"1000469061\",\"1000487706\",\"1000500286\",\"1000473442\",\"100002530\",\"1000487226\",\"1000665603\",\"1000463445\",\"1000483607\",\"1000661685\",\"1000613189\",\"1000480447\",\"1000467731\",\"100003043\",\"1000477347\",\"1000631018\",\"1000483506\",\"1000473465\",\"1000469591\",\"1000571225\",\"100003484\",\"1000632567\",\"1000467227\",\"1000490416\",\"1000463216\",\"1000479643\",\"100003861\",\"1000440371\",\"1000467528\",\"1000450013\",\"100013087\",\"1000465991\",\"1000467174\",\"1000471114\",\"1000477481\",\"1000471235\",\"1000473254\",\"100003516\",\"1000473502\",\"1000492323\",\"1000477199\",\"1000516127\",\"1000493483\",\"1000465162\",\"1000471133\",\"1000471298\",\"1000471377\",\"1000487606\",\"1000501664\",\"1000453164\",\"1000467197\",\"1000468619\",\"1000595469\",\"1000511793\",\"1000520210\",\"1000475260\",\"1000473432\",\"1000665718\",\"1000438285\",\"100002759\",\"1000655134\",\"1000473070\",\"1000512268\",\"100002429\",\"1000495977\",\"1000475211\",\"1000492443\",\"1000471949\",\"1000502890\",\"1000473330\",\"1000436338\",\"1000554190\",\"1000479132\",\"1000487541\",\"1000467406\",\"1000484410\",\"1000494337\",\"1000436389\",\"1000436433\",\"1000612742\",\"1000482447\",\"1000444019\",\"1000506161\",\"100002743\",\"1000479739\",\"1000558302\",\"1000483760\",\"100002913\",\"1000464872\",\"100001318\",\"1000469466\",\"1000471513\",\"1000474121\",\"1000500186\",\"1000643702\",\"1000482643\",\"1000553963\",\"1000672197\",\"1000513003\",\"1000459913\",\"1000483568\",\"1000492651\",\"1000610843\",\"1000463165\",\"1000475193\",\"1000319362\",\"1000469111\",\"1000479983\",\"1000469067\",\"1000469384\",\"1000484783\",\"1000488278\",\"1000501534\",\"1000483355\",\"1000502611\",\"1000475078\",\"1000465202\",\"1000487534\",\"1000467255\",\"1000477362\",\"1000469448\",\"1000492392\",\"1000469505\",\"1000469068\",\"1000479378\",\"1000599602\",\"1000463724\",\"1000490085\",\"1000467127\",\"1000478379\",\"1000459062\",\"1000316262\",\"100004053\",\"1000484051\",\"1000540005\",\"1000467760\",\"10763150\",\"1000463166\",\"1000467461\",\"1000473177\",\"1000566556\",\"1000526912\",\"1000571596\",\"1000463285\",\"1000503777\",\"1000487826\",\"1000483699\",\"1000482373\",\"1000643111\",\"100001960\",\"1000318062\",\"1000670054\",\"1000475138\",\"1000612181\",\"1000440042\",\"1000490523\",\"1000486403\",\"1000529572\",\"1000490401\",\"1000485577\",\"1000477660\",\"1000469351\",\"1000471145\",\"1000467804\",\"1000487304\",\"1000468780\",\"1000469236\",\"1000479863\",\"1000477179\",\"1000489027\",\"1000475405\",\"1000485550\",\"1000442371\",\"1000471499\",\"1000465247\",\"1000504808\",\"1000519910\",\"1000485607\",\"1000467452\",\"1000471468\",\"1000500712\",\"1000471461\",\"1000465495\",\"100005967\",\"1000488079\",\"100002061\",\"1000477374\",\"1000598719\",\"1000516750\",\"1000552372\",\"10484122\",\"1000477115\",\"1000572534\",\"1000488608\",\"1000476748\",\"100002748\",\"1000611063\",\"1000487611\",\"1000477102\",\"1000475194\",\"1000475152\",\"100003759\",\"1000554197\",\"100003681\",\"100002876\",\"1000467021\",\"1000651731\",\"1000483742\",\"1000467336\",\"1000465059\",\"1000489705\",\"1000493097\",\"1000495780\",\"1000639536\",\"1000656655\",\"1000473306\",\"1000475272\",\"1000463551\",\"1000628716\",\"1000483733\",\"1000661636\",\"1000645159\",\"1000527852\",\"1000473063\",\"1000471125\",\"1000554037\",\"1000473093\",\"1000609746\",\"100003581\",\"1000475043\",\"1000485990\",\"1000531699\",\"1000469114\",\"1000467774\",\"1000607200\",\"1000477505\",\"1000636476\",\"1000477144\",\"1000549617\",\"10185340\",\"100002290\",\"1000465180\",\"100002435\",\"1000475041\",\"1000487554\",\"1000463483\",\"1000501166\",\"1000471191\",\"1000485691\",\"1000466627\",\"1000467252\",\"1000467396\",\"1000463162\",\"1000477340\",\"1000659416\",\"1000473414\",\"1000465243\",\"1000508159\",\"1000477046\",\"1000467786\",\"1000467384\",\"1000485794\",\"1000465150\",\"1000488492\",\"1000477361\",\"1000611610\",\"1000488287\",\"1000479617\",\"1000467304\",\"1000464598\",\"1000492370\",\"1000436421\",\"100005282\",\"1000438336\",\"1000471336\",\"10227294\",\"1000490019\",\"1000462959\",\"100003616\",\"100001159\",\"1000464611\",\"1000535819\",\"1000469576\",\"1000681009\",\"100001641\",\"1000468761\",\"1000469180\",\"1000475860\",\"1000469458\",\"1000473477\",\"100002268\",\"1000436377\",\"1000638016\",\"1000477163\",\"1000479824\",\"1000502096\",\"1000477012\",\"1000479989\",\"1000450178\",\"100005283\",\"1000540004\",\"1000509497\",\"1000473345\",\"1000479613\",\"1000475418\",\"1000487519\",\"1000667618\",\"1000473135\",\"1000550268\",\"1000465297\",\"1000574184\",\"1000477132\",\"1000469214\",\"1000559102\",\"1000659991\",\"1000442213\",\"1000486656\",\"1000488051\",\"1000501398\",\"1000482134\",\"1000478852\",\"1000477444\",\"1000673801\",\"10439119\",\"1000463094\",\"1000674901\",\"1000471111\",\"1000473997\",\"1000535606\",\"1000469073\",\"1000444374\",\"1000475419\",\"1000490345\",\"1000471968\",\"1000463030\",\"1000552203\",\"1000467540\",\"1000463181\",\"100006061\",\"1000668269\",\"1000652877\",\"100002805\",\"1000475150\",\"1000504729\",\"1000628028\",\"1000440369\",\"1000477397\",\"1000467010\",\"1000494268\",\"1000644668\",\"1000589572\",\"1000436423\",\"1000468858\",\"1000492723\",\"1000473946\",\"1000557023\",\"1000465231\",\"1000690921\",\"1000573434\",\"1000687267\",\"1000532970\",\"1000477185\",\"1000616413\",\"1000564355\",\"1000500139\",\"1000631732\",\"1000508838\",\"1000640207\",\"1000532227\",\"1000666698\",\"1000471639\",\"1000469478\",\"1000490112\",\"1000552567\",\"1000496338\",\"1000684891\",\"1000495845\",\"1000614521\",\"100000977\",\"1000592037\",\"1000548078\",\"1000538034\",\"1000691366\",\"1000552107\",\"1000450085\",\"1000553970\",\"1000492321\",\"1000492254\",\"100002749\",\"1000498733\",\"1000503170\",\"1000682866\",\"1000490283\",\"1000488960\",\"1000525209\",\"1000551387\",\"1000484986\",\"1000686293\",\"100002426\",\"1000475104\",\"1000477370\",\"1000527849\",\"1000548274\",\"1000484467\",\"1000516871\",\"1000473329\",\"1000534708\",\"1000686749\",\"1000438310\",\"10886779\",\"1000502887\",\"1000488481\",\"1000527851\",\"100004584\",\"1000503957\",\"1000688659\",\"1000505517\",\"1000440397\",\"1000487630\",\"100002554\",\"1000689246\",\"1000557275\",\"1000471143\",\"1000604404\",\"1000501228\",\"1000444109\",\"1000548146\",\"1000436344\",\"1000529824\",\"1000471481\",\"1000573731\",\"1000150017\",\"1000614479\",\"1000520292\",\"1000455760\",\"1000535413\",\"1000485967\",\"1000475927\",\"1000630827\",\"1000640883\",\"1000477188\",\"100004062\",\"1000473290\",\"1000613292\",\"1000530999\",\"1000471144\",\"10157023\",\"1000467150\",\"1000469359\",\"1000482446\",\"100002754\",\"1000605828\",\"1000494052\",\"1000465469\",\"1000607036\",\"1000550114\",\"1000498723\",\"10296116\",\"1000488368\",\"1000436037\",\"1000559786\",\"1000463350\",\"1000627119\",\"1000442308\",\"1000477148\",\"1000680947\",\"1000490986\",\"1000533912\",\"1000532742\",\"1000653844\",\"1000442397\",\"1000488280\",\"1000678702\",\"1000678705\",\"1000438350\",\"1000471579\",\"1000567935\",\"1000465115\",\"1000484046\",\"1000507287\",\"1000677028\",\"1000551229\",\"1000533905\",\"1000679006\",\"1000473328\",\"1000463961\",\"1000495688\",\"1000606874\",\"1000488074\",\"1000485702\",\"100003486\",\"1000632081\",\"1000552749\",\"1000682361\",\"1000551408\",\"1000638771\",\"1000684776\",\"1000535049\",\"1000493141\",\"1000320299\",\"1000681236\",\"1000685056\",\"1000644362\",\"1000657216\",\"1000514722\",\"1000477275\",\"1000549314\",\"1000477323\",\"1000463129\",\"1000473054\",\"1000501189\",\"1000483466\",\"1000670465\",\"1000672502\",\"1000479722\",\"1000467577\",\"1000465484\",\"1000465254\",\"1000666709\",\"1000666708\",\"1000529576\",\"1000674447\",\"1000482781\",\"1000471489\",\"1000471194\",\"100005889\",\"1000469490\",\"1000492545\",\"1000647490\",\"1000483852\",\"1000672693\",\"1000492083\",\"1000459535\",\"1000469004\",\"1000487408\",\"1000536359\",\"1000475077\",\"1000590254\",\"1000465056\",\"10938025\",\"1000502847\",\"1000471605\",\"1000502851\",\"1000471247\",\"1000465373\",\"1000538176\",\"1000477436\",\"1000494107\",\"100002577\",\"1000440387\",\"1000448249\",\"1000483728\",\"1000477344\",\"1000492800\",\"100003835\",\"1000527211\",\"1000485956\",\"1000463110\",\"1000525332\",\"1000492964\",\"1000465568\",\"1000477080\",\"100002453\",\"100003852\",\"1000472871\",\"1000683126\",\"1000682856\",\"100004038\",\"1000556436\",\"1000504586\",\"1000475409\",\"1000490405\",\"1000552231\",\"1000478456\",\"1000516521\",\"1000501740\",\"1000448284\",\"1000683029\",\"1000465125\",\"1000555529\",\"1000510105\",\"100004832\",\"1000533088\",\"1000513800\",\"100003088\",\"1000492315\",\"1000480107\",\"100003522\",\"1000677198\",\"1000679507\",\"1000684460\",\"1000471426\",\"1000479770\",\"1000593884\",\"1000677013\",\"1000477167\",\"100003618\",\"1000685794\",\"1000681454\",\"1000520732\",\"1000595452\",\"1000463025\",\"1000512328\",\"1000483660\",\"1000472623\",\"1000645046\",\"100004560\",\"1000566602\",\"1000440290\",\"1000682901\",\"1000664565\",\"1000464565\",\"1000549029\",\"1000683168\",\"1000473250\",\"1000649276\",\"1000679031\",\"1000438377\",\"1000487750\",\"1000492928\",\"1000490442\",\"1000463449\",\"1000678308\",\"1000483334\",\"1000492193\",\"100005895\",\"1000498898\",\"1000455544\",\"1000469070\",\"1000484028\",\"1000494270\",\"1000316111\",\"1000471466\",\"1000477111\",\"1000558400\",\"1000465014\",\"1000493153\",\"1000475199\",\"1000487584\",\"1000318065\",\"1000489472\",\"100006434\",\"100003482\",\"1000483706\",\"1000483370\",\"1000506748\",\"1000464990\",\"1000482325\",\"1000511626\",\"1000490415\",\"1000477217\",\"1000488075\",\"1000494050\",\"1000471178\",\"10644434\",\"1000465266\",\"1000479920\",\"1000465098\",\"1000487984\",\"1000483670\",\"1000552456\",\"1000492010\",\"1000636097\",\"1000490567\",\"1000475069\",\"1000471471\",\"1000488520\",\"1000479749\",\"100013913\",\"1000465050\",\"1000465109\",\"1000448516\",\"1000533885\",\"1000510332\",\"1000467529\",\"1000471242\",\"1000500233\",\"1000591325\",\"1000497825\",\"1000533123\",\"1000316361\",\"1000485984\",\"1000475485\",\"1000657612\",\"1000469547\",\"1000477027\",\"1000612732\",\"1000581773\",\"1000475047\",\"1000546399\",\"1000451849\",\"1000524724\",\"1000493930\",\"1000673278\",\"1000579035\",\"1000444000\",\"1000583803\",\"1000436385\",\"1000471261\",\"1000593492\",\"1000466653\",\"1000628434\",\"1000463065\",\"1000673264\",\"1000467485\",\"1000669358\",\"1000533887\",\"100004077\",\"1000467690\",\"100004427\",\"1000492152\",\"1000477130\",\"1000471576\",\"1000446226\",\"1000471498\",\"1000463603\",\"1000527737\",\"1000491996\",\"1000488437\",\"1000482384\",\"1000483397\",\"1000483744\",\"1000469453\",\"1000477354\",\"1000483913\",\"1000465217\",\"100003916\",\"1000480154\",\"1000466648\",\"100004222\",\"100002468\",\"1000463456\",\"1000436392\",\"100005542\",\"100004435\",\"1000492369\",\"1000471165\",\"1000485562\",\"1000440284\",\"1000469914\",\"100003838\",\"100002221\",\"100003665\",\"1000471476\",\"100003997\",\"100003351\",\"1000469177\",\"1000644005\",\"1000485913\",\"1000510485\",\"1000490084\",\"1000483949\",\"1000475127\",\"1000469715\",\"1000442281\",\"1000497678\",\"1000467139\",\"1000469272\",\"1000473381\",\"1000477236\",\"1000479777\",\"1000487536\",\"1000485682\",\"1000469433\",\"1000502868\",\"1000487895\",\"1000473430\",\"1000466751\",\"1000487182\",\"1000471231\",\"1000471299\",\"1000494049\",\"1000490369\",\"1000475454\",\"1000463115\",\"1000465251\",\"1000487456\",\"1000467345\",\"1000469318\",\"1000473406\",\"1000465442\",\"1000487727\",\"1000469223\",\"1000463112\",\"1000573341\",\"1000469308\",\"1000467036\",\"10707295\",\"1000467288\",\"1000483635\",\"1000475157\",\"1000477751\",\"1000479622\",\"1000454924\",\"1000487285\",\"1000479731\",\"1000471124\",\"1000436377\",\"1000638016\",\"1000477163\",\"1000479824\",\"1000502096\",\"1000477227\",\"1000479783\",\"1000467725\",\"1000483356\",\"1000477193\",\"1000488469\",\"1000487479\",\"1000487710\",\"1000477817\",\"1000479962\",\"1000467339\",\"1000469732\",\"1000465269\",\"1000479760\",\"1000465298\",\"1000471486\",\"1000466885\",\"1000479676\",\"1000487244\",\"1000469290\",\"1000469173\",\"1000463499\",\"1000488174\",\"1000477092\",\"1000469382\",\"1000524315\",\"1000463481\",\"1000503431\",\"1000464914\",\"1000492435\",\"1000469128\",\"1000488394\",\"1000471436\",\"1000450173\",\"1000473084\",\"1000475062\",\"1000530781\",\"1000477426\",\"1000471103\",\"1000483666\",\"1000487326\",\"1000487950\",\"1000485765\",\"1000488757\",\"1000485714\",\"1000479347\",\"1000509881\",\"1000483997\",\"1000463123\",\"1000468776\",\"1000595333\",\"1000473303\",\"1000467383\",\"1000550172\",\"1000465070\",\"1000467367\",\"1000477260\",\"1000485811\",\"1000546565\",\"1000483677\",\"1000550758\",\"1000490408\",\"1000473434\",\"1000465436\",\"1000492098\",\"1000494238\",\"1000471157\",\"1000483726\",\"1000477003\",\"1000483950\",\"1000477121\",\"1000477039\",\"1000486963\",\"1000474227\",\"1000468948\",\"1000494791\",\"1000473426\",\"1000479972\",\"10319494\",\"1000477261\",\"1000463011\",\"1000471642\",\"1000467496\",\"1000438289\",\"1000485712\",\"1000467265\",\"1000492235\",\"1000485710\",\"1000483850\",\"1000524174\",\"1000462729\",\"1000490157\",\"1000503831\",\"1000595741\",\"1000483970\",\"1000656093\",\"1000487557\",\"1000465112\",\"10296553\",\"1000474209\",\"1000467315\",\"1000488006\",\"1000487374\",\"1000475133\",\"1000485900\",\"1000469740\",\"1000472268\",\"1000462983\",\"1000465140\",\"1000475144\",\"1000463344\",\"1000636870\",\"1000463201\",\"1000476788\",\"1000483879\",\"1000467349\",\"1000593391\",\"1000473385\",\"1000469314\",\"1000438401\",\"10182983\",\"1000476557\",\"1000644852\",\"1000485996\",\"1000479745\",\"1000475081\",\"1000477302\",\"1000465058\",\"1000555077\",\"1000440303\",\"1000475438\",\"1000475225\",\"1000463170\",\"1000473265\",\"1000463177\",\"1000477013\",\"1000488343\",\"1000463150\",\"1000465286\",\"1000490332\",\"1000473608\",\"1000487721\",\"1000471197\",\"1000479685\",\"1000463038\",\"10277875\",\"1000487185\",\"1000473460\",\"1000479779\",\"1000438367\",\"1000463164\",\"1000477437\",\"1000563714\",\"1000477006\",\"1000487328\",\"1000471903\",\"1000485745\",\"1000501151\",\"1000444646\",\"1000465158\",\"1000475944\",\"1000475492\",\"1000471683\",\"1000475508\",\"1000476201\",\"1000479948\",\"1000487714\",\"1000475899\",\"1000483903\",\"1000583634\",\"1000589521\",\"1000477584\",\"1000473401\",\"1000465141\",\"1000496393\",\"1000487592\",\"1000488456\",\"1000471095\",\"1000490009\",\"1000475870\",\"1000477114\",\"1000471416\",\"1000488013\",\"1000591423\",\"1000471419\",\"1000483337\",\"1000488475\",\"1000508419\",\"1000469289\",\"1000492373\",\"1000465389\",\"1000488184\",\"1000475116\",\"1000606102\",\"1000467172\",\"1000467103\",\"1000492176\",\"1000471296\",\"1000477553\",\"1000469039\",\"1000477038\",\"1000487663\",\"1000469145\",\"1000486840\",\"1000477077\",\"1000471099\",\"1000473378\",\"1000485849\",\"1000483709\",\"1000483672\",\"1000462694\",\"1000475534\",\"1000519683\",\"1000479693\",\"1000467355\",\"1000455699\",\"1000465040\",\"1000465156\",\"1000487480\",\"1000465104\",\"1000527802\",\"1000485729\",\"1000593490\",\"1000490129\",\"1000475839\",\"1000483761\",\"1000577424\",\"1000483922\",\"1000469398\",\"1000494000\",\"1000487516\",\"1000477024\",\"1000475262\",\"1000479647\",\"1000531041\",\"1000485890\",\"1000487507\",\"1000479981\",\"1000487224\",\"1000494577\",\"10082459\",\"1000477315\",\"1000487506\",\"1000471380\",\"1000477270\",\"1000490320\",\"1000469518\",\"1000479655\",\"1000463278\",\"1000485655\",\"1000483618\",\"1000476588\",\"1000479582\",\"1000490504\",\"1000475443\",\"1000485878\",\"1000490609\",\"1000494067\",\"1000492044\",\"1000483701\",\"100002535\",\"1000488136\",\"1000489102\",\"1000487312\",\"1000500844\",\"1000490443\",\"1000488026\",\"1000465236\",\"1000469343\",\"1000487375\",\"1000490310\",\"1000475137\",\"1000479752\",\"1000485740\",\"1000614594\",\"1000465089\",\"1000477032\",\"1000473355\",\"1000659888\",\"1000485769\",\"1000485735\",\"1000485887\",\"1000462978\",\"1000479798\",\"1000540252\",\"1000446484\",\"100010417\",\"1000463161\",\"1000469178\",\"1000467519\",\"1000467451\",\"1000475253\",\"1000485845\",\"1000529892\",\"1000467299\",\"1000463156\",\"1000473334\",\"1000471150\",\"10260794\",\"1000485741\",\"1000483781\",\"1000480226\",\"1000529574\",\"1000533578\",\"1000483885\",\"1000479970\",\"1000488116\",\"1000477244\",\"1000488504\",\"1000504924\",\"1000465474\",\"1000485677\",\"1000485561\",\"1000485715\",\"1000463289\",\"1000467125\",\"1000649222\",\"1000485593\",\"100004626\",\"1000490138\",\"1000488286\",\"1000475261\",\"1000482336\",\"1000490387\",\"1000456944\",\"1000487392\",\"1000505894\",\"1000512012\",\"1000586742\",\"1000485901\",\"1000477274\",\"1000494046\",\"1000469324\",\"1000483847\",\"1000483628\",\"1000483676\",\"1000485829\",\"1000487391\",\"1000464865\",\"1000463020\",\"1000483759\",\"1000488085\",\"1000479991\",\"1000471335\",\"1000494041\",\"1000465160\",\"1000488242\",\"1000464720\",\"1000473466\",\"1000492102\",\"1000471221\",\"1000465443\",\"1000465041\",\"1000469146\",\"1000487693\",\"1000548245\",\"10795441\",\"1000534861\",\"1000479618\",\"1000488526\",\"1000579076\",\"1000477103\",\"1000467432\",\"100001502\",\"1000475415\",\"1000469901\",\"1000490301\",\"1000487497\",\"1000465194\",\"100003506\",\"1000469143\",\"1000471217\",\"100003495\",\"1000467078\",\"1000496863\",\"1000499258\",\"1000477623\",\"100001928\",\"1000475410\",\"1000538334\",\"100001596\",\"100001390\",\"1000463426\",\"1000471464\",\"1000483939\",\"1000661416\",\"1000483335\",\"1000483577\",\"100004500\",\"1000469212\",\"1000438408\",\"100003728\",\"1000440282\",\"1000487348\"";
//        String[] split = s.split(",");
//        System.out.println(split.length);
//        Set<String> set = new HashSet<>();
//        for (int j = 0; j < 1000; j++) {
//            if(set.contains(split[j])){
//                System.out.println(split[j]);
//            }
//            set.add(split[j]);
//        }
//        System.out.println("-------------");
//        for (int j = 1000;j<2000;j++){
//            if(set.contains(split[j])){
//                System.out.println(split[j]);
//            }
//            set.add(split[j]);
//        }
//
////        Arrays.stream(split).forEach( x -> {
////            if(set.contains(x)){
////                System.out.println(x);
////            }
////            set.add(x);
////        });
//        System.out.println(set.size());
//
//    }
}
